Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.discovery
Class UnicastResponse

    java.lang.Object
      com.sun.jini.discovery.UnicastResponse

public class UnicastResponse
extends Object

Class representing the values obtained as the result of unicast discovery.

Since:
  2.0

Field Summary
`protected String[]` | `groups` The lookup service member groups.
`protected String` | `host` The lookup service host.
`protected int` | `port` The lookup service listen port.
`protected ServiceRegistrar` | `registrar` The lookup service proxy.

Constructor Summary
`UnicastResponse(String host, int port, String[] groups, ServiceRegistrar registrar)` Creates new `UnicastResponse` instance containing the given values.

Method Summary
`String[]` | `getGroups()` Returns the member groups of the lookup service.
`String` | `getHost()` Returns the lookup service host name.
`int` | `getPort()` Returns the lookup service listen port.
`ServiceRegistrar` | `getRegistrar()` Returns the lookup service proxy.
`String` | `toString()` Returns a string representation of this response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### host

    protected String host

  The lookup service host.

### port

    protected int port

  The lookup service listen port.

### groups

    protected String[] groups

  The lookup service member groups.

### registrar

    protected ServiceRegistrar registrar

  The lookup service proxy.

Constructor Detail

### UnicastResponse

    public UnicastResponse(String host,
                           int port,
                           String[] groups,
                           ServiceRegistrar registrar)

  Creates new `UnicastResponse` instance containing the given values. The `groups` array is copied; a `null` value is considered equivalent to an empty array.

Parameters:
  `host` - the lookup service host
  `port` - the lookup service listen port
  `groups` - the lookup service member groups
  `registrar` - the lookup service proxy
Throws:
  `NullPointerException` - if `host` or `registrar` is `null`, or if `groups` contains `null`
  `IllegalArgumentException` - if `port` is out of range

Method Detail

### getHost

    public String getHost()

  Returns the lookup service host name.

  Returns:
    the lookup service host name

### getPort

    public int getPort()

  Returns the lookup service listen port.

  Returns:
    the lookup service listen port

### getGroups

    public String[] getGroups()

  Returns the member groups of the lookup service.

  Returns:
    the member groups of the lookup service

### getRegistrar

    public ServiceRegistrar getRegistrar()

  Returns the lookup service proxy.

  Returns:
    the lookup service proxy

### toString

    public String toString()

  Returns a string representation of this response.

  Returns:
    a string representation of this response

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved